/**
 * 
 * @author David Unterweger 1127540
 * 
 */
public class AltPurifier extends AbsPurifier {

	private AltPurifierType type;

	public AltPurifier(AltPurifierType type) {
		this.type = type;
	}

	// VB:
	// s muss Zeichen enthalten die kein Whitespace sind, s darf den substring
	// "*/" nicht enthalten; indent != null, indent
	// enthaelt keine Zeichen außer ' ' und '\t'
	//
	// NB:
	// return ist ein gueltiger JavaKommentar, wobei vor jeder Zeile indent
	// angehaengt wird, was der Einrueckung entspricht
	protected String wrapToComment(String s, String indent) {
		if (this.type == AltPurifierType.LINE) {
			return wrapToLine(s, indent);
		} else if (type == AltPurifierType.MULTILINE) {
			return wrapToMultiLine(s, indent);
		} else {
			return wrapToLineMultiLine(s, indent);
		}
	}
}
