import java.util.ArrayList;
import java.text.SimpleDateFormat;
import java.util.Date;

public class Copyrighter extends Adder {
	
	/**
	* Invarianten: Variablen sollen nicht NULL sein
	*/
	private ArrayList<String> authors = new ArrayList<String>();
	private String copyright = "";
	private String date = "";
	
	// dummy-Funktion, zwecks Kompilierbarkeit
	public Copyrighter() {
		super ("",PrettyPos.BEGIN, "");
	}
	
	/**
	* VB: prog != NULL
	* NB: fuegt Kommentar hinzu
	*/
	public String pretty(String prog) {
		
		String memory = "";
		
		for(String author: authors) {
			memory = memory + author + " , ";
		}
		
		return "/* " + "Autoren: " + memory + "\n" + "Copyright-Info: " + copyright + "\n" + "Datum: " + date + " */" + "\n" + prog;
		
	}
	
	/**
	* VB: name != NULL
	* NB: fuegt Author hinzu
	*/
	public void addAuthor(String name) {
		authors.add(name);
	}
	
	/**
	* VB: name != NULL, Name muss vorhanden sein damit geloescht werden kann
	* NB: loescht Author
	*/
	public void delAuthor(String name) {
		
		if(authors.contains(name))
		{
			authors.remove(name);
		}
		
	}
	
	/**
	* VB: cop != NULL
	* NB: setzt Copyright-Info neu
	*/
	public void setCopyright(String cop) {
		this.copyright = cop;
	}
	
	/**
	* NB: setzt Datum in Objekt neu
	*/
	public void setDate() {
		 SimpleDateFormat aktuell = new SimpleDateFormat("MM/dd/yyyy");
		 Date dt = new Date();
		 date = aktuell.format(dt);
	}
}
